## invesalius 3.0

=== docs/user_guide_pt_BR_source/Makefile ===
all: 
	pdflatex manual_pt_BR
	bibtex manual_pt_BR
	pdflatex manual_pt_BR
	pdflatex manual_pt_BR

clean: 
	rm -f *.dvi *.log *.toc *.aux *.bbl *.blg *.loa *.los *.out *.cb 

cleanall:
	rm -f manual_pt_BR.pdf *.dvi *.log *.toc *.aux *.bbl *.blg *.loa *.los *.out *.cb

## invesalius 3.0~b4

=== debian/changelog ===
invesalius (3.0~b4-3) unstable; urgency=low

  [ Thiago Franco de Moraes ]
  * debian/control: Added python-psutil as dependency (it was missing).

  [ Andreas Tille ]
  * debian/control: `cme fix dpkg-control` to normalise control field and thus
    make it more easy to read
  * debian/rules: use xz compression

 -- Thiago Franco de Moraes <tfmoraes@cti.gov.br>  Fri, 19 Jul 2013 09:11:19 -0300

invesalius (3.0~b4-2) unstable; urgency=low

  * debian/control: Removed libvtk and libgdcm as dependency, relying only in
    python-vtk and python-gdcm.
    Closes: #708259
  * debian/control: Converted the package to dh_python2. Removed
    python-support from Build-Depends-Indep. Dropped XB-Python-Version. Added
    X-Python-Version.
    debian/pyversion: Removed to convert the package to dh_python2.
    Closes: #708258 
  * debian/control: Setting wxPython 2.8.12 as minimun wxPython version. It
    was necessary due to errors in InVesalius with previous versions of
    wxPython.
    Closes: #708260

 -- Thiago Franco de Moraes <tfmoraes@cti.gov.br>  Mon, 20 May 2013 08:47:42 -0300

invesalius (3.0~b4-1) unstable; urgency=low

  * Initial release (Closes: #584920)

 -- Thiago Franco de Moraes <tfmoraes@cti.gov.br>  Mon, 04 Mar 2013 09:45:38 -0300

=== debian/control ===
Source: invesalius
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Thiago Franco de Moraes <tfmoraes@cti.gov.br>
Section: graphics
Priority: optional
Build-Depends-Indep: debhelper (>= 9),
                     python,
                     python-casmoothing
Standards-Version: 3.9.4
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/invesalius/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/invesalius/trunk/
Homepage: http://www.cti.gov.br/invesalius/
X-Python-Version: 2.7

Package: invesalius
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-numpy,
         python-scipy,
         python-wxgtk2.8 (>= 2.8.12),
         python-imaging,
         python-vtk,
         python-gdcm,
         python-vtkgdcm,
         python-casmoothing,
         python-nibabel,
         python-serial,
         python-psutil
Description: 3D medical imaging reconstruction software
 InVesalius generates 3D medical imaging reconstructions based on a sequence of
 2D DICOM files acquired with CT or MRI equipments. InVesalius is
 internationalized (currently available in English, Portuguese, French, German,
 Spanish, Greek and Chinese) and provides several tools:
  * DICOM support including: (a) ACR-NEMA version 1 and 2; (b) DICOM
    version 3.0 (including various encodings of JPEG -lossless and lossy-, RLE)
  * Image manipulation features (zoom, pan, rotation, brightness/contrast,
    etc)
  * Segmentation based on 2D slices
  * Pre-defined threshold ranges according to tissue of interest
  * Edition tools (similar to Paint Brush) based on 2D slices
  * 3D surface creation
  * 3D surface connectivity tools 
  * 3D surface exportation (including: binary STL, OBJ, VRML, Inventor)
  * High-quality volume rendering projection
  * Pre-defined volume rendering presets
  * Volume rendering crop plane
  * Picture exportation (including: BMP, TIFF, JPG, PostScript, POV-Ray)

Package: invesalius-examples
Architecture: all
Depends: ${misc:Depends}
Description: examples for 3D medical imaging reconstruction software
 InVesalius generates 3D medical imaging reconstructions based on a sequence of
 2D DICOM files acquired with CT or MRI equipments.
 .
 This package contains a sample file to open in InVesalius.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for invesalius
# Andreas Tille <tille@debian.org>
# GPL
  
package=invesalius

PYMODDIR := /usr/lib/$(shell pyversions -r)
TARGET = $(CURDIR)/debian/$(package)
# shared library versions, option 1
version=2.0.5
major=2

%:
	dh $@ --with python2

override_dh_auto_clean:
	dh_auto_clean
	rm -f invesalius-3.0

override_dh_compress :
	dh_compress --exclude=LICENSE.pt.txt --exclude=.inv3

create-launcher:
	echo '#!/bin/sh' > invesalius-3.0
	echo 'export INVESALIUS_LIBRARY_PATH="/usr/share/invesalius/invesalius"' >> invesalius-3.0
	echo 'cd $$INVESALIUS_LIBRARY_PATH' >> invesalius-3.0
	echo 'python invesalius.py $$@' >> invesalius-3.0

override_dh_install: create-launcher
	dh_install

override_dh_builddeb:
	dh_builddeb -- -Z xz

get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --repack --rename --destdir=../tarballs

.PHONY: override_dh_auto_clean override_dh_install

## invesalius 3.0~b5

=== debian/changelog ===
invesalius (3.0~b5-4) unstable; urgency=low

  [ Thiago Franco de Moraes and Olly Betts ]
  * Support to wxPython 3.0

 -- Thiago Franco de Moraes <tfmoraes@cti.gov.br>  Tue, 23 Sep 2014 16:32:50 -0300

invesalius (3.0~b5-3) unstable; urgency=low

  [ Thiago Franco de Moraes ]
  * Added copyright info about invesalius\gui\widgets\platebtn.py
    Closes: #746708

  [ Andreas Tille ]
  * Fix Vcs URLs using `cme fix dpkg-control`

 -- Thiago Franco de Moraes <tfmoraes@cti.gov.br>  Mon, 12 May 2014 13:34:50 -0300

invesalius (3.0~b5-2) unstable; urgency=low

  * Added debhelper to Build-Depends.
    Closes: #747004

 -- Thiago Franco de Moraes <tfmoraes@cti.gov.br>  Mon, 05 May 2014 13:47:50 -0300

invesalius (3.0~b5-1) unstable; urgency=low

  * Added undo and redo to the edition tool
  * Added new type of visualizations (MIP, MIDA and contour based
    visualizations)

 -- Thiago Franco de Moraes <tfmoraes@cti.gov.br>  Wed, 23 Apr 2014 09:47:50 -0300

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,15 @@
            Thiago Franco de Moraes <tfmoraes@cti.gov.br>
 Section: graphics
 Priority: optional
-Build-Depends-Indep: debhelper (>= 9),
-                     python,
+Build-Depends: debhelper (>= 9),
+               python-all-dev (>= 2.7),
+               cython,
+               python-numpy
+Build-Depends-Indep: python,
                      python-casmoothing
-Standards-Version: 3.9.4
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/invesalius/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/invesalius/trunk/
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/invesalius/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/invesalius/trunk/
 Homepage: http://www.cti.gov.br/invesalius/
 X-Python-Version: 2.7
 
@@ -19,7 +22,7 @@
          ${misc:Depends},
          python-numpy,
          python-scipy,
-         python-wxgtk2.8 (>= 2.8.12),
+         python-wxgtk3.0,
          python-imaging,
          python-vtk,
          python-gdcm,
@@ -27,7 +30,8 @@
          python-casmoothing,
          python-nibabel,
          python-serial,
-         python-psutil
+         python-psutil,
+         invesalius-bin
 Description: 3D medical imaging reconstruction software
  InVesalius generates 3D medical imaging reconstructions based on a sequence of
  2D DICOM files acquired with CT or MRI equipments. InVesalius is
@@ -47,6 +51,8 @@
   * Pre-defined volume rendering presets
   * Volume rendering crop plane
   * Picture exportation (including: BMP, TIFF, JPG, PostScript, POV-Ray)
+  * Minimum, Maximum or Mean Intensity Projection, Maximum Intensity Difference
+    Accumulation and Contour based visualizations
 
 Package: invesalius-examples
 Architecture: all
@@ -57,3 +63,14 @@
  .
  This package contains a sample file to open in InVesalius.
 
+Package: invesalius-bin
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${python:Depends},
+         ${misc:Depends}
+Description: Implementation of MIDA and contour based visualizations
+ InVesalius generates 3D medical imaging reconstructions based on a sequence of
+ 2D DICOM files acquired with CT or MRI equipments.
+ .
+ This package contains a compiled implementation of MIDA and some contour based
+ visualizations

## invesalius 3.0

=== debian/changelog ===
invesalius (3.0-2) unstable; urgency=medium

  * Remove explicit python-vtk dependency and go with implicite one
    provides by python-casmoothing
    Clothes: #808505
  * Remove debian/menu
  * Add missing DEP3 header

 -- Andreas Tille <tille@debian.org>  Sun, 20 Dec 2015 16:34:38 +0100

invesalius (3.0-1) unstable; urgency=low

  [ Thiago Franco de Moraes ]
  * Version 3.0

 -- Thiago Franco de Moraes <tfmoraes@cti.gov.br>  Wed, 10 Jun 2015 09:10:34 -0300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python-numpy
 Build-Depends-Indep: python,
                      python-casmoothing
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/invesalius/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/invesalius/trunk/
 Homepage: http://www.cti.gov.br/invesalius/
@@ -22,9 +22,9 @@
          ${misc:Depends},
          python-numpy,
          python-scipy,
+         python-skimage,
          python-wxgtk3.0,
          python-imaging,
-         python-vtk,
          python-gdcm,
          python-vtkgdcm,
          python-casmoothing,
@@ -35,8 +35,9 @@
 Description: 3D medical imaging reconstruction software
  InVesalius generates 3D medical imaging reconstructions based on a sequence of
  2D DICOM files acquired with CT or MRI equipments. InVesalius is
- internationalized (currently available in English, Portuguese, French, German,
- Spanish, Greek and Chinese) and provides several tools:
+ internationalized (currently available in English, Portuguese, French,
+ Spanish, Turkish, Italian, Czesh, Catalan, Korean, Romanian and German) and
+ provides several tools:
   * DICOM support including: (a) ACR-NEMA version 1 and 2; (b) DICOM
     version 3.0 (including various encodings of JPEG -lossless and lossy-, RLE)
   * Image manipulation features (zoom, pan, rotation, brightness/contrast,
@@ -44,8 +45,9 @@
   * Segmentation based on 2D slices
   * Pre-defined threshold ranges according to tissue of interest
   * Edition tools (similar to Paint Brush) based on 2D slices
+  * Semi-automatic segmentation based on Watershed
   * 3D surface creation
-  * 3D surface connectivity tools 
+  * 3D surface connectivity tools
   * 3D surface exportation (including: binary STL, OBJ, VRML, Inventor)
   * High-quality volume rendering projection
   * Pre-defined volume rendering presets

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,9 @@
 %:
 	dh $@ --with python2
 
+override_dh_auto_build:
+	python setup.py build_ext --inplace
+
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f invesalius-3.0
@@ -23,12 +26,15 @@
 
 create-launcher:
 	echo '#!/bin/sh' > invesalius-3.0
+	echo 'export PYTHONPATH=$$PYTHONPATH:"/usr/lib/invesalius"' >> invesalius-3.0
 	echo 'export INVESALIUS_LIBRARY_PATH="/usr/share/invesalius/invesalius"' >> invesalius-3.0
 	echo 'cd $$INVESALIUS_LIBRARY_PATH' >> invesalius-3.0
 	echo 'python invesalius.py $$@' >> invesalius-3.0
 
 override_dh_install: create-launcher
 	dh_install
+
+override_dh_auto_install: ;
 
 override_dh_builddeb:
 	dh_builddeb -- -Z xz

## invesalius 3.0.1

=== debian/changelog ===
invesalius (3.0.1-1) unstable; urgency=low

  [ Thiago Franco de Moraes ]
  * Version 3.0.1
  * Support to VTK6

  [ Andreas Tille ]
  * cme fix dpkg-control
  * hardening=+bindnow

 -- Thiago Franco de Moraes <tfmoraes@cti.gov.br>  Thu, 30 Jun 2016 09:43:34 -0300

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Section: graphics
 Priority: optional
 Build-Depends: debhelper (>= 9),
-               python-all-dev (>= 2.7),
+               python-all-dev,
                cython,
                python-numpy
 Build-Depends-Indep: python,
                      python-casmoothing
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/invesalius/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/invesalius/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/invesalius/trunk/
 Homepage: http://www.cti.gov.br/invesalius/
 X-Python-Version: 2.7

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # debian/rules for invesalius
 # Andreas Tille <tille@debian.org>
 # GPL
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
   
 package=invesalius

## invesalius 3.1.1

=== debian/changelog ===
invesalius (3.1.1-3) unstable; urgency=medium

  * Further changes concerning #779655

 -- Thiago Franco de Moraes <tfmoraes@cti.gov.br>  Fri, 15 Sep 2017 17:18:48 +0200

invesalius (3.1.1-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Depends: s/python-imaging/python-pil/
    Closes: #866434
  * Standards-Version: 4.1.0

  [ Gert Wollny
  * Avoid division by zero in progress display
    Closes: #779655

 -- Andreas Tille <tille@debian.org>  Fri, 15 Sep 2017 10:53:33 +0200

invesalius (3.1.1-1) unstable; urgency=low

  [ Thiago Franco de Moraes ]
  * New upstream version

  [ Andreas Tille ]
  * Moved packaging from SVN to Git
  * Standards-Version: 4.0.0 (no changes needed)
  * debhelper 10

 -- Thiago Franco de Moraes <tfmoraes@cti.gov.br>  Mon, 14 Aug 2017 14:59:34 -0300

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
            Thiago Franco de Moraes <tfmoraes@cti.gov.br>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                python-all-dev,
                cython,
+               dh-python,
                python-numpy
-Build-Depends-Indep: python,
-                     python-casmoothing
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/invesalius/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/invesalius/trunk/
+Build-Depends-Indep: python
+Standards-Version: 4.1.0
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/invesalius.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/invesalius.git
 Homepage: http://www.cti.gov.br/invesalius/
 X-Python-Version: 2.7
 
@@ -24,26 +24,30 @@
          python-scipy,
          python-skimage,
          python-wxgtk3.0,
-         python-imaging,
+         python-pil,
          python-gdcm,
          python-vtkgdcm,
-         python-casmoothing,
+         python-vtk6,
          python-nibabel,
          python-serial,
          python-psutil,
+         python-configparser,
+         python-concurrent.futures,
          invesalius-bin
 Description: 3D medical imaging reconstruction software
  InVesalius generates 3D medical imaging reconstructions based on a sequence of
  2D DICOM files acquired with CT or MRI equipments. InVesalius is
  internationalized (currently available in English, Portuguese, French,
- Spanish, Turkish, Italian, Czesh, Catalan, Korean, Romanian and German) and
- provides several tools:
+ Spanish, Turkish, Italian, Czesh, Japanese, Catalan, Korean, Romanian and
+ German) and provides several tools:
   * DICOM support including: (a) ACR-NEMA version 1 and 2; (b) DICOM
     version 3.0 (including various encodings of JPEG -lossless and lossy-, RLE)
   * Image manipulation features (zoom, pan, rotation, brightness/contrast,
     etc)
   * Segmentation based on 2D slices
   * Pre-defined threshold ranges according to tissue of interest
+  * Segmentation based on watershed
+  * Region growing segmentation
   * Edition tools (similar to Paint Brush) based on 2D slices
   * Semi-automatic segmentation based on Watershed
   * 3D surface creation

=== debian/rules ===
--- 
+++ 
@@ -16,25 +16,39 @@
 %:
 	dh $@ --with python2
 
-override_dh_auto_build:
+override_dh_auto_build: create-cython-dir
 	python setup.py build_ext --inplace
 
 override_dh_auto_clean:
-	dh_auto_clean
-	rm -f invesalius-3.0
+	# dh_auto_clean
+	rm -f invesalius3
 
-override_dh_compress :
+override_dh_compress:
 	dh_compress --exclude=LICENSE.pt.txt --exclude=.inv3
 
+create-cython-dir:
+	mkdir invesalius_cy/
+	touch invesalius_cy/__init__.py
+	cp invesalius/data/*.pyx invesalius_cy
+	cp invesalius/data/*.pxd invesalius_cy
+
+override_dh_clean:
+	dh_clean
+	rm -rf invesalius_cy
+	rm -rf build
+
 create-launcher:
-	echo '#!/bin/sh' > invesalius-3.0
-	echo 'export PYTHONPATH=$$PYTHONPATH:"/usr/lib/invesalius"' >> invesalius-3.0
-	echo 'export INVESALIUS_LIBRARY_PATH="/usr/share/invesalius/invesalius"' >> invesalius-3.0
-	echo 'cd $$INVESALIUS_LIBRARY_PATH' >> invesalius-3.0
-	echo 'python invesalius.py $$@' >> invesalius-3.0
+	echo '#!/bin/sh' > invesalius3
+	echo 'export PYTHONPATH=$$PYTHONPATH:"/usr/lib/invesalius"' >> invesalius3
+	echo 'export INVESALIUS_LIBRARY_PATH="/usr/share/invesalius/"' >> invesalius3
+	echo 'cd $$INVESALIUS_LIBRARY_PATH' >> invesalius3
+	echo 'python app.py $$@' >> invesalius3
 
 override_dh_install: create-launcher
 	dh_install
+
+override_dh_installchangelogs:
+	dh_installchangelogs changelog.md
 
 override_dh_auto_install: ;

## invesalius 3.1.99992

=== debian/changelog ===
invesalius (3.1.99992-3build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:44:21 +0100

invesalius (3.1.99992-3build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:32:15 +0000

invesalius (3.1.99992-3) unstable; urgency=medium

  * Force Python3 >= 3.7 (its also python3-dev rather than python3-all-dev)
    Closes: #927387
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Tue, 23 Apr 2019 21:50:01 +0200

invesalius (3.1.99992-2) unstable; urgency=medium

  * Patch to remove python2 prints
    Closes: #908722

 -- Thiago Franco de Moraes <tfmoraes@cti.gov.br>  Wed, 12 Sep 2018 10:54:57 -0300

invesalius (3.1.99992-1) unstable; urgency=medium

  * New upstream version
    Closes: #908456

 -- Thiago Franco de Moraes <tfmoraes@cti.gov.br>  Mon, 10 Sep 2018 11:57:50 -0300

invesalius (3.1.99991-1) unstable; urgency=medium

  [ Thiago Franco de Moraes ]
  * New upstream version
    Closes: #901562

  [ Andreas Tille ]
  * debhelper 11
  * Standards-Version: 4.2.0
  * Delete ancient X-Python-Version field
  * Cleanup d/rules from unneeded targets

 -- Thiago Franco de Moraes <tfmoraes@cti.gov.br>  Fri, 17 Aug 2018 14:07:48 +0200

=== debian/control ===
--- 
+++ 
@@ -4,35 +4,32 @@
            Thiago Franco de Moraes <tfmoraes@cti.gov.br>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               python-all-dev,
-               cython,
+Build-Depends: debhelper (>= 11~),
+               python3-dev (>= 3.7~),
+               cython3,
                dh-python,
-               python-numpy
-Build-Depends-Indep: python
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/invesalius.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/invesalius.git
+               python3-numpy
+Build-Depends-Indep: python3 (>= 3.7~)
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/med-team/invesalius
+Vcs-Git: https://salsa.debian.org/med-team/invesalius.git
 Homepage: http://www.cti.gov.br/invesalius/
-X-Python-Version: 2.7
 
 Package: invesalius
 Architecture: all
-Depends: ${python:Depends},
+Depends: ${python3:Depends},
          ${misc:Depends},
-         python-numpy,
-         python-scipy,
-         python-skimage,
-         python-wxgtk3.0,
-         python-pil,
-         python-gdcm,
-         python-vtkgdcm,
-         python-vtk6,
-         python-nibabel,
-         python-serial,
-         python-psutil,
-         python-configparser,
-         python-concurrent.futures,
+         python3-numpy,
+         python3-scipy,
+         python3-skimage,
+         python3-wxgtk4.0,
+         python3-pil,
+         python3-gdcm,
+         python3-vtkgdcm,
+         python3-vtk7,
+         python3-nibabel,
+         python3-serial,
+         python3-psutil,
          invesalius-bin
 Description: 3D medical imaging reconstruction software
  InVesalius generates 3D medical imaging reconstructions based on a sequence of
@@ -72,7 +69,7 @@
 Package: invesalius-bin
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${python:Depends},
+         ${python3:Depends},
          ${misc:Depends}
 Description: Implementation of MIDA and contour based visualizations
  InVesalius generates 3D medical imaging reconstructions based on a sequence of

=== debian/rules ===
--- 
+++ 
@@ -14,10 +14,10 @@
 major=2
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3
 
 override_dh_auto_build: create-cython-dir
-	python setup.py build_ext --inplace
+	python3 setup.py build_ext --inplace
 
 override_dh_auto_clean:
 	# dh_auto_clean
@@ -42,7 +42,7 @@
 	echo 'export PYTHONPATH=$$PYTHONPATH:"/usr/lib/invesalius"' >> invesalius3
 	echo 'export INVESALIUS_LIBRARY_PATH="/usr/share/invesalius/"' >> invesalius3
 	echo 'cd $$INVESALIUS_LIBRARY_PATH' >> invesalius3
-	echo 'python app.py $$@' >> invesalius3
+	echo 'python3 app.py $$@' >> invesalius3
 
 override_dh_install: create-launcher
 	dh_install
@@ -51,12 +51,3 @@
 	dh_installchangelogs changelog.md
 
 override_dh_auto_install: ;
-
-override_dh_builddeb:
-	dh_builddeb -- -Z xz
-
-get-orig-source:
-	mkdir -p ../tarballs
-	uscan --verbose --force-download --repack --rename --destdir=../tarballs
-
-.PHONY: override_dh_auto_clean override_dh_install

## invesalius 3.1.99993

=== debian/changelog ===
invesalius (3.1.99993-1) experimental; urgency=medium

  * New upstream version

 -- Thiago Franco de Moraes <tfmoraes@cti.gov.br>  Tue, 21 May 2019 11:30:01 -0300

=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
          python3-nibabel,
          python3-serial,
          python3-psutil,
+         python3-h5py,
          invesalius-bin
 Description: 3D medical imaging reconstruction software
  InVesalius generates 3D medical imaging reconstructions based on a sequence of

=== debian/rules ===
--- 
+++ 
@@ -39,6 +39,7 @@
 
 create-launcher:
 	echo '#!/bin/sh' > invesalius3
+	echo 'export INV_SAMPLE_DIR="/usr/share/doc/invesalius-examples/examples/"' >> invesalius3
 	echo 'export PYTHONPATH=$$PYTHONPATH:"/usr/lib/invesalius"' >> invesalius3
 	echo 'export INVESALIUS_LIBRARY_PATH="/usr/share/invesalius/"' >> invesalius3
 	echo 'cd $$INVESALIUS_LIBRARY_PATH' >> invesalius3

## invesalius 3.1.99994

=== docs/user_guide_en_source/Makefile ===
all: 
	pdflatex user_guide_en
	bibtex user_guide_en
	pdflatex user_guide_en
	pdflatex user_guide_en
clean: 
	rm -f *.dvi *.log *.toc *.aux *.bbl *.blg *.loa *.los *.out *.cb 

cleanall:
	rm -f user_guide_en.pdf *.dvi *.log *.toc *.aux *.bbl *.blg *.loa *.los *.out *.cb

move:
	mv -f user_guide_en.pdf ../user_guide_en.pdf

=== debian/changelog ===
invesalius (3.1.99994-1) unstable; urgency=medium

  [ Thiago Franco de Moraes ]
  * New upstream version

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Remove executable bit from desktop files.
  * d/rules: --buildsystem=pybuild

 -- Thiago Franco de Moraes <tfmoraes@cti.gov.br>  Sun, 01 Mar 2020 18:12:19 -0300

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
            Thiago Franco de Moraes <tfmoraes@cti.gov.br>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 11~),
-               python3-dev (>= 3.7~),
+Build-Depends: debhelper-compat (= 12),
+               python3-dev,
                cython3,
                dh-python,
                python3-numpy
-Build-Depends-Indep: python3 (>= 3.7~)
-Standards-Version: 4.3.0
+Build-Depends-Indep: python3
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/invesalius
 Vcs-Git: https://salsa.debian.org/med-team/invesalius.git
 Homepage: http://www.cti.gov.br/invesalius/
@@ -31,6 +31,7 @@
          python3-serial,
          python3-psutil,
          python3-h5py,
+         python3-imageio,
          invesalius-bin
 Description: 3D medical imaging reconstruction software
  InVesalius generates 3D medical imaging reconstructions based on a sequence of

=== debian/rules ===
--- 
+++ 
@@ -4,19 +4,15 @@
 # GPL
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
-  
-package=invesalius
-
-PYMODDIR := /usr/lib/$(shell pyversions -r)
-TARGET = $(CURDIR)/debian/$(package)
-# shared library versions, option 1
-version=2.0.5
-major=2
+export PYBUILD_NAME=invesalius
 
 %:
-	dh $@ --with python3
+	dh $@ --with python3 --buildsystem=pybuild
 
-override_dh_auto_build: create-cython-dir
+override_dh_auto_configure: create-cython-dir
+	dh_auto_configure
+
+override_dh_auto_build:
 	python3 setup.py build_ext --inplace
 
 override_dh_auto_clean:
@@ -27,7 +23,7 @@
 	dh_compress --exclude=LICENSE.pt.txt --exclude=.inv3
 
 create-cython-dir:
-	mkdir invesalius_cy/
+	mkdir -p invesalius_cy/
 	touch invesalius_cy/__init__.py
 	cp invesalius/data/*.pyx invesalius_cy
 	cp invesalius/data/*.pxd invesalius_cy
@@ -40,6 +36,7 @@
 create-launcher:
 	echo '#!/bin/sh' > invesalius3
 	echo 'export INV_SAMPLE_DIR="/usr/share/doc/invesalius-examples/examples/"' >> invesalius3
+	echo 'export GDK_BACKEND=x11' >> invesalius3
 	echo 'export PYTHONPATH=$$PYTHONPATH:"/usr/lib/invesalius"' >> invesalius3
 	echo 'export INVESALIUS_LIBRARY_PATH="/usr/share/invesalius/"' >> invesalius3
 	echo 'cd $$INVESALIUS_LIBRARY_PATH' >> invesalius3

=== debian/watch ===
version=3
opts=uversionmangle=s/-/~/ \
https://github.com/invesalius/invesalius3/tags .*/v(.+)\.tar\.gz

## invesalius 3.1.99998

=== requirements.txt ===
Cython==0.29.28
Pillow==9.1.0
Pypubsub==4.0.3
configparser==5.0.1
h5py==2.10.0
imageio==2.9.0
nibabel==3.2.1
numpy==1.22.1
plaidml-keras==0.7.0
psutil==5.8.0
pyserial==3.5
python-gdcm==3.0.12
scikit-image==0.19.1
scipy==1.7.3
vtk==9.1.0
wxPython==4.1.1
Theano==1.0.5
torch==1.11.0
pyacvd==0.2.7

=== docs/user_guide_pt_BR_source/Makefile ===
all: 
	pdflatex manual_pt_BR
	bibtex manual_pt_BR
	pdflatex manual_pt_BR
	pdflatex manual_pt_BR
clean: 
	rm -f *.dvi *.log *.toc *.aux *.bbl *.blg *.loa *.los *.out *.cb 

cleanall:
	rm -f manual_pt_BR.pdf *.dvi *.log *.toc *.aux *.bbl *.blg *.loa *.los *.out *.cb

move:
	mv -f manual_pt_BR.pdf ../user_guide_pt_BR.pdf

=== debian/changelog ===
invesalius (3.1.99998-7) unstable; urgency=medium

  * Team upload.
  * d/rules: prepare a dedicated home directory.
    This prevents the build from affecting the builder's home directory.
  * d/t/run-unit-test: dedicate a home directory.
    This avoids having the test suite to meddle with the home directory.
  * fix-my-types.patch: new: fix build error caused by obsolete cython idiom.
  * workaround-dropped-inner1d.patch: new: fix test failure with numpy 2.x.
    (Closes: #1092908)
  * d/patches/*: normalize Last-Update timestamps.

 -- Étienne Mollier <emollier@debian.org>  Sun, 16 Feb 2025 14:50:44 +0100

invesalius (3.1.99998-6) unstable; urgency=medium

  * Team upload.
  * Added patch to replace the use of the imghdr library, which was removed
    from Python 3.11. Closes: #1084567.
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 19 Nov 2024 00:08:24 +0100

invesalius (3.1.99998-5) unstable; urgency=medium

  * Team upload.
  * More pytorch dependency to recommends, also allow the cuda version.
    Closes: 1077501
  * d/control: explicit build-dep on setuptools. Closes: #1080608
  * d/rules: update launcher for newer numpy
  * d/patches: fixed the Dep-3 metadata, the author's email address was
    missing
  * Cherry-pick patch from upstream to remove all references to
    distutils
  * Created a patch to avoid several SyntaxWarnings
  * Fix build cleaning. Closes: #1047615
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 10 Sep 2024 13:13:28 +0200

invesalius (3.1.99998-4) unstable; urgency=medium

  * Added patch: python-3.11 gettext.translation doesn't have the 'codeset'
    parameter anymore
  * Added patch: Trace_DebugOff and Trace_WarningOff was removed from gdcm.

 -- Thiago Franco de Moraes <tfmoraes@cti.gov.br>  Wed, 08 Feb 2023 21:46:44 +0100

invesalius (3.1.99998-3) unstable; urgency=medium

  [ Thiago Franco de Moraes ]
  * Removed python3-keras and python3-theano from depends

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * DEP3

 -- Andreas Tille <tille@debian.org>  Tue, 07 Feb 2023 19:58:43 +0100

invesalius (3.1.99998-2) unstable; urgency=medium

  * Team upload
  * Limiting autopkgtest to the architectures on which dependency python3-torch
    is available
  * Raising Standards version to 4.6.1 (no change)
  * Shipping an icon for the desktop application

  [ Thiago Franco de Moraes ]
  * Added auibar patch and updated other patches

 -- Pierre Gruet <pgt@debian.org>  Sun, 11 Dec 2022 14:55:48 +0100

invesalius (3.1.99998-1) unstable; urgency=medium

  [ Thiago Franco de Moraes ]
  * New upstream version
  * Drop transition for old debug package migration.

  [ Andreas Tille ]
  * Add at least superficial autopkgtest

 -- Thiago Franco de Moraes <tfmoraes@cti.gov.br>  Tue, 19 Jul 2022 19:31:51 -0300

invesalius (3.1.99995-1) unstable; urgency=medium

  [ Thiago Franco de Moraes ]
  * New upstream version

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints.
    + invesalius-examples: Add Multi-Arch: foreign.
    + invesalius-bin: Add Multi-Arch: same.
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 21 Sep 2021 19:11:07 +0200

=== debian/control ===
--- 
+++ 
@@ -4,35 +4,42 @@
            Thiago Franco de Moraes <tfmoraes@cti.gov.br>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                python3-dev,
+               python3-setuptools,
                cython3,
-               dh-python,
-               python3-numpy
+               dh-sequence-python3,
+               imagemagick,
+               python3-numpy,
+	       python3-puremagic
 Build-Depends-Indep: python3
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/invesalius
 Vcs-Git: https://salsa.debian.org/med-team/invesalius.git
-Homepage: http://www.cti.gov.br/invesalius/
+Homepage: https://www.cti.gov.br/invesalius/
+Rules-Requires-Root: no
 
 Package: invesalius
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends},
+         python3-setuptools,
          python3-numpy,
          python3-scipy,
          python3-skimage,
          python3-wxgtk4.0,
          python3-pil,
          python3-gdcm,
-         python3-vtkgdcm,
-         python3-vtk7,
+         python3-vtk9,
          python3-nibabel,
          python3-serial,
          python3-psutil,
          python3-h5py,
          python3-imageio,
+         python3-pubsub,
+	 python3-puremagic,
          invesalius-bin
+Recommends: python3-torch | python3-torch-cuda
 Description: 3D medical imaging reconstruction software
  InVesalius generates 3D medical imaging reconstructions based on a sequence of
  2D DICOM files acquired with CT or MRI equipments. InVesalius is
@@ -62,6 +69,7 @@
 Package: invesalius-examples
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: examples for 3D medical imaging reconstruction software
  InVesalius generates 3D medical imaging reconstructions based on a sequence of
  2D DICOM files acquired with CT or MRI equipments.
@@ -73,6 +81,7 @@
 Depends: ${shlibs:Depends},
          ${python3:Depends},
          ${misc:Depends}
+Multi-Arch: same
 Description: Implementation of MIDA and contour based visualizations
  InVesalius generates 3D medical imaging reconstructions based on a sequence of
  2D DICOM files acquired with CT or MRI equipments.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for invesalius
# Andreas Tille <tille@debian.org>
# GPL

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export PYBUILD_NAME=invesalius
export HOME=$(shell mktemp --directory /tmp/home.XXXXXX)

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	python3 setup.py build_ext --inplace

execute_after_dh_auto_clean:
	rm -f invesalius_cy/*.so

override_dh_compress:
	dh_compress --exclude=LICENSE.pt.txt --exclude=.inv3

create-launcher:
	echo '#!/bin/sh' > invesalius3
	echo 'export INV_SAMPLE_DIR="/usr/share/doc/invesalius-examples/examples/"' >> invesalius3
	echo 'export GDK_BACKEND=x11' >> invesalius3
	echo 'export PYTHONPATH=$$PYTHONPATH:"/usr/lib/invesalius"' >> invesalius3
	echo 'export INVESALIUS_LIBRARY_PATH="/usr/share/invesalius/"' >> invesalius3
	echo 'export NUMPY_EXPERIMENTAL_DTYPE_API=1' >> invesalius3
	echo 'cd $$INVESALIUS_LIBRARY_PATH' >> invesalius3
	echo 'python3 app.py $$@' >> invesalius3

override_dh_install: create-launcher
	dh_install
	# Converting a shipped .ico file into an installed .png icon
	mkdir -p debian/invesalius/usr/share/icons/hicolor/64x64/apps/
	convert icons/invesalius_64x64.ico -resize 64x64\! debian/invesalius/usr/share/icons/hicolor/64x64/apps/invesalius.png

override_dh_installchangelogs:
	dh_installchangelogs changelog.md

override_dh_auto_install: ;

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://github.com/invesalius/invesalius3/tags .*/v(.+)\.tar\.gz
